SDL_WindowUserData Struct Reference

`#include <SDL_sysvideo.h>`

Collaboration diagram for SDL_WindowUserData:
[legend]

## Data Fields

char * | name
void * | data
struct SDL_WindowUserData * | next

## Detailed Description

Definition at line 63 of file SDL_sysvideo.h.

## Field Documentation

void* SDL_WindowUserData::data

Definition at line 66 of file SDL_sysvideo.h.

Referenced by SDL_GetWindowData(), and SDL_SetWindowData().

char* SDL_WindowUserData::name

Definition at line 65 of file SDL_sysvideo.h.

Referenced by SDL_DestroyWindow(), SDL_GetWindowData(), and SDL_SetWindowData().

struct SDL_WindowUserData* SDL_WindowUserData::next

Definition at line 67 of file SDL_sysvideo.h.

Referenced by SDL_DestroyWindow(), SDL_GetWindowData(), and SDL_SetWindowData().

The documentation for this struct was generated from the following file:

- src/video/SDL_sysvideo.h